<?php
define('EmpireCMSAdmin','1');
require("../../../e/class/connect.php");
require("../../../e/class/functions.php");
$link=db_connect();
$empire=new mysqlquery();
$editor=1;
//驗證用戶
$lur=is_login();
$logininid=(int)$lur['userid'];
$loginin=$lur['username'];
$loginrnd=$lur['rnd'];
$loginlevel=(int)$lur['groupid'];
$loginadminstyleid=(int)$lur['adminstyleid'];
//ehash
$ecms_hashur=hReturnEcmsHashStrAll();
//驗證權限
CheckLevel($logininid,$loginin,$classid,"userclass");

//增加部門
function AddUserClass($add,$userid,$username){
	global $empire,$dbtbpre;
	if(!$add['classname'])
	{
		printerror("EmptyUserClass","history.go(-1)");
	}
	//驗證權限
	CheckLevel($userid,$username,$classid,"userclass");
	$add['classname']=hRepPostStr($add['classname'],1);
	$sql=$empire->updatesql("insert into {$dbtbpre}enewsuserclass(classname) values('".$add['classname']."');","ins");
	$lastid=$empire->lastid($dbtbpre.'enewsuserclass','classid');
	if($sql)
	{
		//操作日誌
		insert_dolog("classid=".$lastid."<br>classname=".$add['classname']);
		printerror("AddUserClassSuccess","UserClass.php".hReturnEcmsHashStrHref2(1));
	}
	else
	{printerror("DbError","history.go(-1)");}
}

//修改部門
function EditUserClass($add,$userid,$username){
	global $empire,$dbtbpre;
	$classid=(int)$add['classid'];
	if(!$add['classname']||!$classid)
	{
		printerror("EmptyUserClass","history.go(-1)");
	}
	//驗證權限
	CheckLevel($userid,$username,$classid,"userclass");
	$add['classname']=hRepPostStr($add['classname'],1);
	$sql=$empire->query("update {$dbtbpre}enewsuserclass set classname='".$add['classname']."' where classid='$classid'");
	if($sql)
	{
		//操作日誌
		insert_dolog("classid=".$classid."<br>classname=".$add['classname']);
		printerror("EditUserClassSuccess","UserClass.php".hReturnEcmsHashStrHref2(1));
	}
	else
	{printerror("DbError","history.go(-1)");}
}

//刪除部門
function DelUserClass($classid,$userid,$username){
	global $empire,$dbtbpre;
	$classid=(int)$classid;
	if(!$classid)
	{
		printerror("NotDelUserClassid","history.go(-1)");
	}
	//驗證權限
	CheckLevel($userid,$username,$classid,"userclass");
	$r=$empire->fetch1("select classname from {$dbtbpre}enewsuserclass where classid='$classid'");
	$sql=$empire->query("delete from {$dbtbpre}enewsuserclass where classid='$classid'");
	if($sql)
	{
		//操作日誌
		insert_dolog("classid=".$classid."<br>classname=".$r['classname']);
		printerror("DelUserClassSuccess","UserClass.php".hReturnEcmsHashStrHref2(1));
	}
	else
	{printerror("DbError","history.go(-1)");}
}

$enews=$_POST['enews'];
if(empty($enews))
{$enews=$_GET['enews'];}
if($enews)
{
	hCheckEcmsRHash();
}
if($enews=="AddUserClass")//增加部門
{
	AddUserClass($_POST,$logininid,$loginin);
}
elseif($enews=="EditUserClass")//修改部門
{
	EditUserClass($_POST,$logininid,$loginin);
}
elseif($enews=="DelUserClass")//刪除部門
{
	$classid=$_GET['classid'];
	DelUserClass($classid,$logininid,$loginin);
}
else
{}

$sql=$empire->query("select classid,classname from {$dbtbpre}enewsuserclass order by classid desc");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title></title>
<link href="../adminstyle/<?=$loginadminstyleid?>/adminstyle.css" rel="stylesheet" type="text/css">
</head>

<body>
<table width="100%" border="0" align="center" cellpadding="0" cellspacing="1">
  <tr>
    <td height="32"><p>位置：<a href="ListUser.php<?=$ecms_hashur['whehref']?>">管理用戶</a> &gt; <a href="UserClass.php<?=$ecms_hashur['whehref']?>">管理部門</a></p>
    </td>
  </tr>
</table>
<form name="form1" method="post" action="UserClass.php">
  <table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder">
  <?=$ecms_hashur['form']?>
  <?php echo heformhash_get('AddUserClass'); ?>
    <tr class="header">
      <td height="25">增加部門: 
        <input name=enews type=hidden id="enews" value=AddUserClass>
      </td>
    </tr>
    <tr> 
      <td height="25" bgcolor="#FFFFFF"> 部門名稱: 
        <input name="classname" type="text" id="classname">
        <input type="submit" name="Submit" value="增加">
        <input type="reset" name="Submit2" value="重置"></td>
    </tr>
  </table>
</form>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder">
  <tr class="header">
    <td width="10%"><div align="center">ID</div></td>
    <td width="59%" height="25"><div align="center">部門名稱</div></td>
    <td width="31%" height="25"><div align="center">操作</div></td>
  </tr>
  <?php
  //formhash
  $efh=heformhash_get('EditUserClass');
  $efh1=heformhash_get('DelUserClass',1);
  
  while($r=$empire->fetch($sql))
  {
  ?>
  <form name=form2 method=post action=UserClass.php>
	  <?=$ecms_hashur['form']?>
	  <?php echo $efh; ?>
    <input type=hidden name=enews value=EditUserClass>
    <input type=hidden name=classid value=<?=$r['classid']?>>
    <tr bgcolor="#FFFFFF" onmouseout="this.style.backgroundColor='#ffffff'" onmouseover="this.style.backgroundColor='#C3EFFF'">
      <td><div align="center"><?=$r['classid']?></div></td>
      <td height="25"> <div align="center">
          <input name="classname" type="text" id="classname" value="<?=$r['classname']?>">
        </div></td>
      <td height="25"><div align="center"> 
          <input type="submit" name="Submit3" value="修改">
          &nbsp; 
          <input type="button" name="Submit4" value="刪除" onclick="if(confirm('確認要刪除?')){self.location.href='UserClass.php?enews=DelUserClass&classid=<?=$r['classid']?><?=$ecms_hashur['href'].$efh1?>';}">
        </div></td>
    </tr>
  </form>
  <?php
  }
  db_close();
  $empire=null;
  ?>
</table>
<br>
</body>
</html>